Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.properties
Class OWLPropertySubpropertyRoot

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.util.LazyTreeRoot
              edu.stanford.smi.protegex.owl.ui.properties.OWLPropertySubpropertyRoot

All Implemented Interfaces:
  TreeNode

Direct Known Subclasses:
  OWLAnnotationPropertySubpropertyRoot, OWLDatatypePropertySubpropertyRoot, OWLObjectPropertySubpropertyRoot

    public class OWLPropertySubpropertyRoot

extends edu.stanford.smi.protege.util.LazyTreeRoot

Author:
  Holger Knublauch

Field Summary
`PropertyListener` | `propertyListener`
`ResourceListener` | `resourceListener`

Constructor Summary
`OWLPropertySubpropertyRoot(OWLModel owlModel)`
`OWLPropertySubpropertyRoot(OWLModel owlModel, boolean isSorted)`
`OWLPropertySubpropertyRoot(OWLModel owlModel, Collection topLevelProperties)`
`OWLPropertySubpropertyRoot(OWLModel owlModel, Collection topLevelProperties, boolean isSorted)`

Method Summary
`edu.stanford.smi.protege.util.LazyTreeNode` | `createNode(Object o)`
`void` | `dispose()`
`Comparator` | `getComparator()`
`boolean` | `isSuitable(RDFProperty rdfProperty)`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeRoot
`childReplaced, getChildObjectCount, getChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, setModel`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyListener

    public PropertyListener propertyListener

### resourceListener

    public ResourceListener resourceListener

Constructor Detail

### OWLPropertySubpropertyRoot

    public OWLPropertySubpropertyRoot(OWLModel owlModel,
                                      Collection topLevelProperties)

### OWLPropertySubpropertyRoot

    public OWLPropertySubpropertyRoot(OWLModel owlModel,
                                      Collection topLevelProperties,
                                      boolean isSorted)

### OWLPropertySubpropertyRoot

    public OWLPropertySubpropertyRoot(OWLModel owlModel)

### OWLPropertySubpropertyRoot

    public OWLPropertySubpropertyRoot(OWLModel owlModel,
                                      boolean isSorted)

Method Detail

### createNode

    public edu.stanford.smi.protege.util.LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getComparator

    public Comparator getComparator()

  Specified by:
    `getComparator` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### isSuitable

    public boolean isSuitable(RDFProperty rdfProperty)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.